Loading...
Searching...
No Matches
OpenMesh::LoopSchemeMaskT< T_, cache_size_ > Class Template Reference

implements cache for the weights of the original Loop scheme supported: More...

`#include <OpenMesh/Core/Geometry/LoopSchemeMaskT.hh>`

Collaboration diagram for OpenMesh::LoopSchemeMaskT< T_, cache_size_ >:
[legend]

## Public Types

enum | { cache_size = cache_size_ }
typedef T_ | Scalar

## Public Member Functions

Scalar | proj_weight (uint _valence) const
Scalar | limit_weight (uint _valence) const
Scalar | step_weight (uint _valence, uint _step) const
Scalar | tang0_weight (uint _valence, uint _ver_id) const
Scalar | tang1_weight (uint _valence, uint _ver_id) const
void | dump (uint _max_valency=cache_size - 1) const

## Protected Member Functions

void | cache_weights ()

## Static Protected Member Functions

static Scalar | compute_proj_weight (uint _valence)
static Scalar | compute_limit_weight (uint _valence)
static Scalar | compute_step_weight (uint _valence)
static Scalar | compute_tang0_weight (uint _valence, uint _ver_id)
static Scalar | compute_tang1_weight (uint _valence, uint _ver_id)

## Protected Attributes

Scalar | proj_weights_ [cache_size]
Scalar | limit_weights_ [cache_size]
Scalar | step_weights_ [cache_size]
std::vector< Scalar > | tang0_weights_ [cache_size]
std::vector< Scalar > | tang1_weights_ [cache_size]

## Detailed Description

template<class T_, unsigned int cache_size_ = 100>
class OpenMesh::LoopSchemeMaskT< T_, cache_size_ >

implements cache for the weights of the original Loop scheme supported:

- vertex projection rule on the next level
- vertex projection rule on the limit surface
- vertex projection rule on the k-th (level) step (Barthe, Kobbelt'2003)
- vertex tangents on the limit surface

The documentation for this class was generated from the following file:

- OpenMesh/Core/Geometry/LoopSchemeMaskT.hh